#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
%define		archlinux	%{_arch}-linux-thread-multi
#-----------------------------------------------------------------------------
Name		:	perl-namespace-clean
Version		:	0.27
Release		:	16.2.0.rel%{?dist}
Summary		:	Keep imports and functions out of your namespace

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/File::HomeDir

Source0		:	%{sname}-%{version}.tar.gz

BuildArch	:	noarch

#-----------------------------------------------------------------------------
BuildRequires	:	perl

Requires	:	perl

%global __requires_exclude perl\\(namespace::clean::_Util\\)
#-----------------------------------------------------------------------------
%description
When you define a function, or import one, into a
Perl package, it will naturally also be available
as a method. This does not per se cause problems,
but it can complicate subclassing and, for example,
plugin classes that are included via multiple inheritance
by loading them as base classes.

The namespace::clean pragma will remove all previously
declared or imported symbols at the end of the current
package's compile cycle. Functions called in the package
itself will still be bound by their name, but they won't
show up as methods on your class or instances.

By unimporting via no you can tell namespace::clean to
start collecting functions for the next use
namespace::clean; specification.

You can use the -except flag to tell namespace::clean
that you don't want it to remove a certain function
or method. A common use would be a module exporting
an import method along with some functions:
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}				 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name .bs -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir  {} 2>/dev/null ';'

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%{_datadir}/perl5/core_perl/namespace/clean.pm
%{_datadir}/perl5/core_perl/namespace/clean/_Util.pm
%{_mandir}/man3/*.3.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


#-----------------------------------------------------------------------------
%changelog
